import { createI18n } from "vue-i18n";
import { defineNuxtPlugin } from "#app";

const messages = {
  en: {
    welcome: "Welcome",
    // Add your translations here
  },
  // Add other languages here
};

export default defineNuxtPlugin((nuxtApp) => {
  const i18n = createI18n({
    legacy: false,
    locale: "en",
    fallbackLocale: "en",
    messages,
  });

  nuxtApp.vueApp.use(i18n);
});
